<?php
/*
Plugin Name: Post Upload and Paste
Plugin URI: http://elrubendelmar.org/2005/11/wordpress-plugin-post-upload-and-paste.html
Description: Adds quicktag, popup window, and "add to post" link for quick uploads during posting.
Version: 0.1
Author: Ruben Miranda
Author URI: http://elrubendelmar.org

This code is based on an earlier plugin (Easy Access Post Upload), which can be found at
  http://www.techwench.com/08-2005/plugin-easy-access-post-upload/


    License Information:
    ==============================================================
    
    Copyright (C) 2005 - Ruben Miranda (http://elrubendelmar.org)
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    Full text found here:  http://www.gnu.org/licenses/gpl.html
    
*/


/* adds quicktag button in wp-admin */
function upload_add_button()
{
	if( (!strstr($_SERVER['PHP_SELF'], 'post.php') && !strstr($_SERVER['PHP_SELF'], 'page-new.php')) || $_GET["action"] == 'editcomment' )
		return 0;

	echo <<<END
		<script language="JavaScript" type="text/javascript">
		<!--
			function openUpload() 
			{
				title  = 'Upload';
				width  =  '475';
				height =  '500';
				resize =  'yes';
				bars   =  'yes';
				  
				var posx = (screen.width - width)/2;
				var posy = (screen.height - height)/2;
				var params = 'WIDTH=' + width + ',HEIGHT=' + height + ',RESIZABLE=' + resize + ',SCROLLBARS=' + bars + ',STATUS=0,LEFT=' + posx + ',TOP=' + posy + 'screenX=' + posx + ',screenY=' + posy;
				var newwin=window.open('upload_popup.php', title, params);
				newwin.focus();
				
				if (newwin != null) 
				{
					if (newwin.opener == null)
						newwin.opener = self;
				}
			}
			document.getElementById("quicktags").innerHTML += '<input type="button" id="ed_upload" accesskey="z" class="ed_button" onclick="openUpload()" value="upload"  />';
		//-->

		</script>
END;
}

/* action call */
add_action('admin_footer', 'upload_add_button');
?>